Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.resolvers
Class DefaultChildrenResolver

    java.lang.Object
      org.eclipse.swtbot.swt.finder.resolvers.Resolvable
          org.eclipse.swtbot.swt.finder.resolvers.DefaultChildrenResolver

All Implemented Interfaces:
  IChildrenResolver, IResolvable

    public class DefaultChildrenResolver

extends Resolvable
implements IChildrenResolver

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.resolvers.Resolvable
`resolver`

Constructor Summary
`DefaultChildrenResolver()`

Method Summary
`List` | `getChildren(Widget w)`
`boolean` | `hasChildren(Widget w)`

Methods inherited from class org.eclipse.swtbot.swt.finder.resolvers.Resolvable
`canResolve, getResolvableClasses, getResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.swtbot.swt.finder.resolvers.IResolvable
`canResolve, getResolvableClasses`

Constructor Detail

### DefaultChildrenResolver

    public DefaultChildrenResolver()

Method Detail

### getChildren

    public List getChildren(Widget w)

  Specified by:
    `getChildren` in interface `IChildrenResolver`
  Parameters:
    `w` - the widget
  Returns:
    the children of the specified widget

### hasChildren

    public boolean hasChildren(Widget w)

  Specified by:
    `hasChildren` in interface `IChildrenResolver`
  Parameters:
    `w` - the widget
  Returns:
    `true` if the resolver can provide children of the specified widget, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD